Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Number Class Reference

`#include <coherence/lang/Number.hpp>`

Inherits Object.

Inherited by Float32 `[virtual]`, Float64 `[virtual]`, Integer16 `[virtual]`, Integer32 `[virtual]`, and Integer64 `[virtual]`.

List of all members.

## Detailed Description

Interface implemented by all managed numeric types.

Author:
  jh 2008.04.21

## Public Types
typedef spec::Handle | Handle
| Number Handle definition.
typedef spec::View | View
| Number View definition.
typedef spec::Holder | Holder
| Number Holder definition.
## Public Member Functions
virtual int16_t | getInt16Value () const =0
| Return the numeric value of this object as an int16_t.
virtual int32_t | getInt32Value () const =0
| Return the numeric value of this object as an int32_t.
virtual int64_t | getInt64Value () const =0
| Return the numeric value of this object as an int64_t.
virtual float32_t | getFloat32Value () const =0
| Return the numeric value of this object as a float32_t.
virtual float64_t | getFloat64Value () const =0
| Return the numeric value of this object as a float64_t.

## Member Function Documentation

virtual int16_t getInt16Value | ( |  | ) | const `[pure virtual]`

Return the numeric value of this object as an int16_t.

This may involve rounding or truncation.

Returns:
  the numeric value of this object as an int16_t

Implemented in Float32, Float64, Integer16, Integer32, and Integer64.

virtual int32_t getInt32Value | ( |  | ) | const `[pure virtual]`

Return the numeric value of this object as an int32_t.

This may involve rounding or truncation.

Returns:
  the numeric value of this object as an int32_t

Implemented in Float32, Float64, Integer16, Integer32, and Integer64.

virtual int64_t getInt64Value | ( |  | ) | const `[pure virtual]`

Return the numeric value of this object as an int64_t.

This may involve rounding or truncation.

Returns:
  the numeric value of this object as an int64_t

Implemented in Float32, Float64, Integer16, Integer32, and Integer64.

virtual float32_t getFloat32Value | ( |  | ) | const `[pure virtual]`

Return the numeric value of this object as a float32_t.

This may involve rounding.

Returns:
  the numeric value of this object as a float32_t

Implemented in Float32, Float64, Integer16, Integer32, and Integer64.

virtual float64_t getFloat64Value | ( |  | ) | const `[pure virtual]`

Return the numeric value of this object as a float64_t.

This may involve rounding.

Returns:
  the numeric value of this object as a float64_t

Implemented in Float32, Float64, Integer16, Integer32, and Integer64.

The documentation for this class was generated from the following file:

- coherence/lang/Number.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.